Package io.strimzi.systemtest.kafkaclients.externalClients

## Class BasicExternalKafkaClient

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.AbstractKafkaClient<BasicExternalKafkaClient.Builder>
  - - io.strimzi.systemtest.kafkaclients.externalClients.BasicExternalKafkaClient

- All Implemented Interfaces:
    `KafkaClientOperations`

      public class BasicExternalKafkaClient
      extends AbstractKafkaClient<BasicExternalKafkaClient.Builder>
      implements KafkaClientOperations

  The BasicExternalKafkaClient for sending and receiving messages with basic properties. The client is using an external listeners.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BasicExternalKafkaClient.Builder` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `receiveMessagesPlain()` |
    `int` | `receiveMessagesPlain​(long timeoutMs)` | Receive messages to external entrypoint of the cluster with PLAINTEXT security protocol setting
    `int` | `receiveMessagesTls()` |
    `int` | `receiveMessagesTls​(long timeoutMs)` | Receive messages to external entrypoint of the cluster with SSL security protocol setting
    `int` | `sendMessagesPlain()` |
    `int` | `sendMessagesPlain​(long timeoutMs)` | Send messages to external entrypoint of the cluster with PLAINTEXT security protocol setting
    `int` | `sendMessagesTls()` |
    `int` | `sendMessagesTls​(long timeoutMs)` | Send messages to external entrypoint of the cluster with SSL security protocol setting
    `BasicExternalKafkaClient.Builder` | `toBuilder()` |
    `String` | `toString()` |

    - ### Methods inherited from class io.strimzi.systemtest.kafkaclients.AbstractKafkaClient

      `getBootstrapServerFromStatus, getCaCertName, getConsumerGroup, getConsumerProperties, getKafkaUsername, getListenerName, getMessageCount, getPartition, getProducerProperties, getSecretPrefix, getSecurityProtocol, getTopicName, setMessageCount, verifyProducedAndConsumedMessages`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toBuilder

          public BasicExternalKafkaClient.Builder toBuilder()

    - #### sendMessagesPlain

          public int sendMessagesPlain()

    - #### sendMessagesPlain

          public int sendMessagesPlain​(long timeoutMs)

      Send messages to external entrypoint of the cluster with PLAINTEXT security protocol setting
      Specified by:
        `sendMessagesPlain` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        sent message count

    - #### sendMessagesTls

          public int sendMessagesTls()

    - #### sendMessagesTls

          public int sendMessagesTls​(long timeoutMs)

      Send messages to external entrypoint of the cluster with SSL security protocol setting
      Specified by:
        `sendMessagesTls` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        sent message count

    - #### receiveMessagesPlain

          public int receiveMessagesPlain()

    - #### receiveMessagesPlain

          public int receiveMessagesPlain​(long timeoutMs)

      Receive messages to external entrypoint of the cluster with PLAINTEXT security protocol setting
      Specified by:
        `receiveMessagesPlain` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        received message count

    - #### receiveMessagesTls

          public int receiveMessagesTls()

    - #### receiveMessagesTls

          public int receiveMessagesTls​(long timeoutMs)

      Receive messages to external entrypoint of the cluster with SSL security protocol setting
      Specified by:
        `receiveMessagesTls` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        received message count

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractKafkaClient<BasicExternalKafkaClient.Builder>`